> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/reference/platform/rest-api/platform-api-openapi.md).

# Platform API OpenAPI

Browse and test the Roboflow Platform API, with its machine-readable OpenAPI spec.

Use the Platform API at `https://api.roboflow.com` to manage workspaces, projects, datasets, training, Workflows, and related resources.

Authenticate with a Roboflow API key in the `Authorization: Bearer` header or the `api_key` query parameter. See [Authenticate with the REST API](https://docs.roboflow.com/reference/platform/rest-api/authenticate-with-the-rest-api.md).

{% hint style="info" %}
This is an initial reference for public Platform API operations documented on this site. Some request and response objects remain open because the Platform API does not yet publish complete machine-readable schemas.
{% endhint %}

For model and Workflow execution endpoints, see the [Inference Server OpenAPI](https://docs.roboflow.com/reference/inference/inference-server-openapi.md).

You can also [download the source OpenAPI document](https://github.com/roboflow/docs/tree/main/reference/.gitbook/assets/platform-api.yaml).

## Workspaces and projects

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/projects" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/projects/fork" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/health" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/models" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## API keys

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys/publishable" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys/owner-candidates" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys/{keyId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys/{keyId}" method="patch" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys/{keyId}" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/api-keys/{keyId}/roll" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Project folders

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/groups" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/groups" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/groups/{folderId}" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/groups/{folderId}" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/groups/{folderId}/projects" method="patch" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/groups/{folderId}/projects" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Dataset versions and training

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/generate" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/splits/rebalance" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/{format}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/train" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/train/cancel" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/train/stop" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/training/results" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings/get" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings/recipe" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings/cancel" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings/stop" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/{version}/v2/trainings/{trainingId}" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Images and batches

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/dataset/{project}/upload" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/dataset/{project}/annotate/{imageId}" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/images/{imageId}/screening" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/images/{imageId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/images/{imageId}/annotation" method="put" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/images" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/images/{imageId}/tags" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/images/{imageId}/metadata" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/images/metadata" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/add-images" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/batches" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/batches/{batchId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/upload/zip" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/upload/zip/{taskId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/upload/video" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/upload/video/{videoId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Annotation

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/comments/{imageId}" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/jobs" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/jobs" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/jobs/{jobId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/autolabel/models" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/autolabel/preview" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/autolabel" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/autolabel/jobs/{jobId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Workflows

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/workflows" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/workflows/{workflowId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/workflows/{workflowId}" method="delete" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/workflows/{workflowId}/versions" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/createWorkflow" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/updateWorkflow" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/workspaces/{workspace}/workflows/deploy-gates/openapi.json" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/forkWorkflow" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/workflowToken" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Agent

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/agent/chat" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/agent/workflows/{workflowId}/publish" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/agent/conversations" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/agent/conversations/{conversationId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Search

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/universe/search" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/universe/search" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/search" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/search/v1" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/search/export" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/search/export/{link}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Trash and tasks

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/trash" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/trash/restore" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/asynctasks/{taskId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Deployment

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy/model" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy/active-learning" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy/active-learning/enable" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy/active-learning/disable" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy/active-learning/configuration" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/{project}/deploy/active-learning/images" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Monitoring

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/inference-stats" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/inference-stats/metadata" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Vision Events

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/batch" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/upload" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/videos/prepare-upload" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/videos/{videoId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/videos/{videoId}/url" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/query" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/delete" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/custom-metadata-schema/{useCaseId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/use-cases" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/use-cases" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/use-cases/{useCaseId}" method="put" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/use-cases/{useCaseId}/archive" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/vision-events/use-cases/{useCaseId}/unarchive" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Deployment Manager

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/default-config" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/config" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/config/history" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/streams" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/streams/{streamId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/logs" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/telemetry" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/events" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/services" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/services/{serviceName}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/devices/v2/{deviceId}/services/{serviceName}/series" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Cloud Streaming

Use [Cloud Streaming](https://docs.roboflow.com/deployment/roboflow-cloud/cloud-streaming) for managed camera processing. Read the [scope and credential requirements](https://docs.roboflow.com/reference/authentication/authentication/scoped-api-keys.md#cloud-streaming) before starting a job.

The v1 control API covers source discovery, temporary-session allocation, source preview, Workflow jobs, output watch grants, live JSON results and completed file results. Source administration, restart, promotion, processing estimates and browser capture remain app operations. For live JSON, use results/subscribe, not the completed results endpoint. No Cloud Streaming SDK methods are defined by this reference.

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/workflow-interface" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/pull/capabilities" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/pull" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/{sourceId}/pull" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/{sourceId}/pull" method="patch" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/temporary" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/{sourceId}/stop-session" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/{sourceId}/preview" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-sources/v1/{sourceId}/jobs" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1/{jobId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1/{jobId}/cancel" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1/{jobId}/hold-preview" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1/{jobId}/watch" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1/{jobId}/results/subscribe" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/video-jobs/v1/{jobId}/results" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Model evaluations

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/compare" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/map-results" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/confidence-sweep" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/performance-by-class" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/confusion-matrix" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/vector-analysis" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/image-predictions" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/model-evals/{evaluationId}/recommendations" method="get" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}

## Billing

{% openapi src="/files/PYT35ImLigX0MTrDsI42" path="/{workspace}/billing-usage-report" method="post" %}
[platform-api.yaml](https://2143050199-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgmbAGf4KNeNPXGuUuKYv%2Fuploads%2Fgit-blob-d138b57caf84bbfc231fbda274bb25415a62ee8e%2Fplatform-api.yaml?alt=media)
{% endopenapi %}
